HINO Bugs - Bug #2357

[ESS-FORWARDING TASK] menu nya tidak berfungsi pada saat di save tidak mengupdate ke
employee atasan yang baru

10/05/2023 05:26 PM - Muhammad Bintar

Status: Deploy Start date: 10/05/2023
Priority: High Due date: 10/09/2023
Assignee: Muhammad Bintar % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 5.00 hours
Description

Dear tim developer mohon supportnya untuk perbaikan pada menu forwarding task dimana pada saat mengisi pic baru, itu tidak
mengupdate ke pic yang bersangkutan(tidak men save).

dan juga menu filter nya tidak berfungsi sebagaimana mesti nya.
remote.minovais.com:31120

database sql server 2019
remote.minovais.com, 1458

History

#1 - 10/05/2023 05:27 PM - Kezia Pawitra Yulianti
- Due date changed from 10/13/2023 to 10/09/2023
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 10/06/2023 03:49 PM - M Azid Wahyudi

- File wfforwardingtask.js added

- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Muhammad Bintar

dear masbin , terkait issue forwardingtask itu bukan tidak bisa ngesave tapi karena regID itu tidak ada di table PCMWFRUNPIC , sebagaimana alur
bisnis forwardingtask setelah gw baca source code di mulai dari Ul terus ke API 2 alur bisnis forwardingtask tersebut update picnya itu berdasarkan
table PCMWFRUNPIC jadi jika tidak ada reglD tersebut makan tidak bisa update

berikut ini package update filter Ul yang masbin pengen agar tanggalnya berfungsi

package :
Ul : C:\ClientApp\2217 HINO\UN\app\controller\workflow\forwardingtask.js

makasih

#3 - 10/18/2023 05:08 PM - Muhammad Bintar
- Status changed from QA Test to Deploy

okee sudah di deploy ke client.
untuk kedepan nya berarti harus ada validasi di tombol submit pada saat mengajukan ess supaya memberitahukan bahwa PIC nya tidak ditemukan
pada tabel OMRECAP.

Files
bandicam 2023-10-05 17-21-32-864.mp4 6.34 MB 10/05/2023 Muhammad Bintar
wfforwardingtask.js 6.29 KB 10/06/2023 M Azid Wahyudi
